package de.ivu.elect.business.ui.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class UITableColumnOrderProperties
{

private final UITableColumnOrder entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
                  anzeigenProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  benutzerKeyProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  columnBuilderKeyProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
                  positionProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  columnKeyProperty;

        
    

public UITableColumnOrderProperties(UITableColumnOrder entity) {
this.entity = entity;

}

private static UITableColumnOrderMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( UITableColumnOrderMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty
                getAnzeigenProperty() {
        if (anzeigenProperty == null) {
        anzeigenProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBooleanProperty
        
        (
        getMetaData().getAnzeigenEinzahlMessage(),
        getMetaData().getAnzeigenDefaultValue(),
        getMetaData().isAnzeigenRequired(),
                entity::setAnzeigen,
        entity::getAnzeigen

                );

        }


        return anzeigenProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBenutzerKeyProperty() {
        if (benutzerKeyProperty == null) {
        benutzerKeyProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBenutzerKeyEinzahlMessage(),
        getMetaData().getBenutzerKeyDefaultValue(),
        getMetaData().isBenutzerKeyRequired(),
                entity::setBenutzerKey,
        entity::getBenutzerKey

                    ,  1 ,
            de.ivu.elect.business.ui.entity.UITableColumnOrderConstants.BENUTZERKENNUNG_MAX_LENGTH
                );

        }


        return benutzerKeyProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getColumnBuilderKeyProperty() {
        if (columnBuilderKeyProperty == null) {
        columnBuilderKeyProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getColumnBuilderKeyEinzahlMessage(),
        getMetaData().getColumnBuilderKeyDefaultValue(),
        getMetaData().isColumnBuilderKeyRequired(),
                entity::setColumnBuilderKey,
        entity::getColumnBuilderKey

                    ,  1 ,
            de.ivu.elect.business.ui.entity.UITableColumnOrderConstants.COLUMN_BUILDER_MAX_LENGTH
                );

        }


        return columnBuilderKeyProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty
                getPositionProperty() {
        if (positionProperty == null) {
        positionProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaLongProperty
        
        (
        getMetaData().getPositionEinzahlMessage(),
        getMetaData().getPositionDefaultValue(),
        getMetaData().isPositionRequired(),
                entity::setPosition,
        entity::getPosition

                    ,de.ivu.elect.business.ui.entity.UITableColumnOrderConstants.POSITION_MIN_VALUE
            ,de.ivu.elect.business.ui.entity.UITableColumnOrderConstants.POSITION_MAX_VALUE
                           );

        }


        return positionProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getColumnKeyProperty() {
        if (columnKeyProperty == null) {
        columnKeyProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getColumnKeyEinzahlMessage(),
        getMetaData().getColumnKeyDefaultValue(),
        getMetaData().isColumnKeyRequired(),
                entity::setColumnKey,
        entity::getColumnKey

                    ,  1 ,
            de.ivu.elect.business.ui.entity.UITableColumnOrderConstants.TABLE_COLUMN_MAX_LENGTH
                );

        }


        return columnKeyProperty;
        }





        
        }